2P by xguru 19일전 | favorite | 댓글 5개
  • 논란이 되었던 AI 기능을 위한 플러그인을 추가
    • 차후에 내부 데이터를 외부로 보내는 기능이 또 필요하다면 이와 비슷한 플러그인 이용 가능
  • 플러그인의 작동 방식
    • 웹 요청을 하는 작은 앱으로, Request JSON을 stdin으로 받아 결과를 stdout에 JSON으로 생성함
    • 플러그인의 목적이 iTerm2와 네트워크 사이에 방화벽을 구축하는 것이기 때문에 AI와 관련된 것은 없음
    • 런타임에 플러그인의 코드 서명 인증서는 각 사용 전마다 확인됨
    • 환경 설정과 통합되어 있기 때문에 많은 UI 관련 내용이 포함되어 있음
  • 최신 빌드에서는 AI 기능을 사용하려고 하면 플러그인 설치를 묻는 메시지가 표시되고, 설치하면 AI 기능 활용 가능

iTerm2 와 AI 과대 광고 에 해당 이슈가 잘 나와있습니다.

근데 커밋을 설명하는 문구가 약간 공격적으로 읽히네요. 개발자가 뭔가 이 상황에 대해서 기분이 대단히 나쁜듯

https://gitlab.com/gnachman/iterm2/-/issues/11470#note_1917647951

이건가요? 댓글에 특별히 반응이 없는걸로 봐서는 번역톤보다는 기술적으로 알맞지 않은 조직으로 이해하는게 맞을듯 하기도 하고요.

그 의도였다면 organization with strict requirements 내지는 unsuitable environment 라고 표현하는게 좀더 낫다고 생각합니다. 영영사전을 찾아봐도 딱히 가치판단이 덜 하다거나 한 단어는 아닌 걸로 보입니다

또한 2번 목표에서 보안에 대한 지적을 AI에 대한 증오라고 표현하는 걸 보면 문맥상으로도 개발자가 화가 난 것으로 보는게 타당하다고 생각합니다

To allow developers in restrictive but technically incompetent organizations to continue to use iTerm2.

iTerm2 쓰시는 분들은 빨리 대안을 찾으셔야 할 듯 합니다

그 설명을 보니 iTerm2를 쓰기 싫어집니다.